Request new 2FA registration options during recovery
POST
/v1/account/recover/{recoveryId}/2fa/setup
const url = 'https://api.parasta.io/v1/account/recover/example/2fa/setup';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"method":"passkey"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/account/recover/example/2fa/setup \ --header 'Content-Type: application/json' \ --data '{ "method": "passkey" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” recoveryId
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
method
required
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
method
string
publicKeyOptions
object
publicKey
object
key
additional properties
any
setupToken
string
Example generated
{ "method": "example", "publicKeyOptions": { "publicKey": {} }, "setupToken": "example"}